%errorA = ForceRequiredAddOn("Weapon_BugZapper");
%errorB = ForceRequiredAddOn("Weapon_MAS_Orb_Launcher");

if(%errorA == $Error::AddOn_Disabled)
	bugZapperItem.uiName = "";
if(%errorB == $Error::AddOn_Disabled)
	OrbLauncherItem.uiName = "";

if(%errorA == $Error::AddOn_NotFound)
	error("ERROR: Player_MAS_ScarabWasp - required add-on Weapon_BugZapper not found");
if(%errorB == $Error::AddOn_NotFound)
	error("ERROR: Player_MAS_ScarabWasp - required add-on Weapon_Orb_Launcher not found");

else
{
	if(LoadRequiredAddOn("Bot_Hole") == $Error::None)
	{
//		exec("./bot_base.cs");
	
		exec("./Weapon_DualZappers.cs");
		exec("./Weapon_DualOrbL.cs");
//		exec("./Weapon_LightningSting.cs");
		exec("./Weapon_ScarabWasp_Bash.cs");
		exec("./Weapon_ProtoLaser.cs");
		exec("./Weapon_ProtoLaser_Beam.cs");
		exec("./effects.cs");
		exec("./Ai_scrabWasp.cs"); 
		exec("./Ai_scrabWasp_Security.cs"); 
		exec("./Ai_scrabWasp_Riot.cs"); 
		exec("./Ai_scrabWasp_Proto.cs"); 
//		exec("./Ai_scrabWasp_Combat.cs"); 
	}
}

//	function recolorASNbot(%obj)
//	{
//		if(%obj.getClassName() $= "AIPlayer" && %obj.spawnBrick)
//		{
//			%obj.schedule(50,setnodeColor,"ALL",%obj.getDataBlock().skinColor);
//		}
//	}

package ScarabWaspPermaItemsPackage
{
	function Armor::onNewDatablock(%this,%obj)
	{
		parent::onNewDatablock(%this,%obj);
		if(%obj.getDatablock().getName() $= "MASsecurityScarabWaspBot")
		{
			%obj.tool[0] = DualbugZapperItem.getID();
			messageClient(%obj.client,'MsgItemPickup','',0,DualbugZapperItem.getID());
			%obj.hidenode("stinger");
			%obj.hidenode("Olaunchers");
		}
		if(%obj.getDatablock().getName() $= "MASriotScarabWaspBot")
		{
			%obj.tool[0] = DualOrbLauncherItem.getID();
			messageClient(%obj.client,'MsgItemPickup','',0,DualOrbLauncherItem.getID());
			%obj.hidenode("claw");
			%obj.hidenode("claw_NOCOL");
			%obj.hidenode("zappers");
		}
	}
	function GameConnection::spawnPlayer(%this)
	{
		Parent::spawnPlayer(%this);
		if(%this.player.getDatablock().getName() $= "MASsecurityScarabWaspBot")
		{
			%this.player.tool[0] = DualbugZapperItem.getID();
			messageClient(%this,'MsgItemPickup','',0,DualbugZapperItem.getID());
			%obj.hidenode("stinger");
			%obj.hidenode("Olaunchers");
		}
		if(%this.player.getDatablock().getName() $= "MASriotScarabWaspBot")
		{
			%this.player.tool[0] = DualOrbLauncherItem.getID();
			messageClient(%this,'MsgItemPickup','',0,DualOrbLauncherItem.getID());
			%obj.hidenode("claw");
			%obj.hidenode("claw_NOCOL");
			%obj.hidenode("zappers");
		}
	}
};

activatePackage(ScarabWaspPermaItemsPackage);
