datablock fxDTSBrickData (BrickMASsecurityScarabWaspBot_HoleSpawnData)
{
	brickFile = "Add-ons/Bot_Hole/6xSpawn.blb";
	category = "Special";
	subCategory = "Holes";
	uiName = "Security Scarab Hole";
	iconName = "Add-Ons/Bot_MAS_ScarabWasp/Icon_zapper";

	bricktype = 2;
	cancover = 0;
	orientationfix = 1;
	indestructable = 1;

	isBotHole = 1;
	holeBot = "MASsecurityScarabWaspBot";
};

datablock PlayerData(MASsecurityScarabWaspBot : MASscarabWasp)
{
	//category = "Vehicles";
//	shapeFile = "./ScrabWasp3.dts";
//	mass = 100;

//	renderFirstPerson = true;

//	cameraMaxDist = 6;
//	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
//	cameraVerticalOffset = 2;

//	cameradefaultFOV = 90;
//	cameraMaxFov = 120;
//	cameraMinFov = 10;

	//minlookangle = -1;
	//maxlookangle = -1;
//	minlookangle = -1.2;
//	maxlookangle = 1.2;

//	minJetEnergy = 0;
//	jetEnergyDrain = 0;
//	canJet = 0;
//	jumpForce = 12 * 100; //8.3 * 90;
//	jumpDelay = 0.1;
//	jumpsound = "";

//	maxItems   = 10;	//total number of bricks you can carry
//	maxWeapons = 5;		//this will be controlled by mini-game code
//	maxTools = 5;

	maxDamage = 190;	//240

//	runforce = 80 * 100;
	maxForwardSpeed = 8.5;	//7.5
	maxBackwardSpeed = 8.5;	//7.5
//	maxSideSpeed = 8;
	
	maxForwardCrouchSpeed = 5;	//5.5
	maxBackwardCrouchSpeed = 5;	//5.5
//	maxSideCrouchSpeed = 4;

//	boundingBox			= vectorScale("1.8 1.8 0.90", 4); //"2.5 2.5 2.4";
//	crouchBoundingBox	= vectorScale("1.8 1.8 0.65", 4); //"2.5 2.5 2.4";
//	proneBoundingBox	= vectorScale("1.8 1.8 0.65", 4); //"2.5 2.5 2.4";

//	maxStepHeight = 0.8;

//	BrickDestroyMaxVolume = 10;
//	BrickMaxJumpHeight = 3;

	uiName = "MAS ScarabWasp - Security";
	rideable = false;
//	canRide = false;
//	BrickKillRadius = 1;
//	skinColor = "0.4 0.4 0.4 1";
//	FollowAnim = "ArmReadyright";
//	attackpower = 28;
//	randomwalk = 1;
//	aimatplayer = 1;
//	SpecialAttack = 0;
//	NoBloodyHands = 1;
//	DoNotZombify = 1;
//	chance = 90;
//	ZombieTeam = "MAS";
//	ignorePipeBombs = 1;
	paintable = true;
//	SearchRadius = 90;
//	numMountPoints = 0;

	//Hole Attributes
	isHoleBot = 1;

	//Spawning option
	hSpawnTooClose = 0;//Doesn't spawn when player is too close and can see it
	  hSpawnTCRange = 8;//above range, set in brick units
	hSpawnClose = 0;//Only spawn when close to a player, can be used with above function as long as hSCRange is higher than hSpawnTCRange
	  hSpawnCRange = 32;//above range, set in brick units

	hType = Friendly; //Enemy,Friendly, Neutral
	  hNeutralAttackChance = 0; //0 to 100, Chance that this type will attack neutral bots, ie horses/vehicles/civilians
	//can have unique types, nazis will attack zombies but nazis will not attack other bots labeled nazi
	hName = "ASN";//cannot contain spaces
	hTickRate = 3000;	//3000
	
	//Wander Options
	hWander = 1;//Enables random walking
	  hSmoothWander = 0;//This is in addition to regular wander, makes them walk a bit longer, and a bit smoother
	  hReturnToSpawn = 1;//Returns to spawn when too far
	  hSpawnDist = 48;//Defines the distance bot can travel away from spawnbrick
	  hGridWander = 0;//Locks the bot to a grid, overwrites other settings
	
	//Searching options
	hSearch = 1;//Search for Players
	  hSearchRadius = 64;//in brick units
	  hSight = 1;//Require bot to see player before pursuing
	  hStrafe = 0;//Randomly strafe while following player
	hSearchFOV = 0;//if enabled disables normal hSearch
	  hFOVRange = 0.7; // determines the angle we can see the player at, 0.7 is about normal fov for players, if 0 we can see all in front, if 1 we could only see someone perfectly ahead, can be negative
	  // hFOVRadius = 6; // no longer used, we now use searchRadius
	  hHearing = 1;//If it hears a player it'll look in the direction of the sound

	  hAlertOtherBots = 1;//Alerts other bots when he sees a player, or gets attacked

	//Attack Options
	hMelee = 1;//Melee
	  hAttackDamage = 20;//Melee Damage
	hShoot = 1;
	  hWep = "DualbugZapperItem";
	  hShootTimes = 16;//Number of times the bot will shoot between each tick
	  hMaxShootRange = 40;//The range in which the bot will shoot the player
	  hAvoidCloseRange = 1;//
		hTooCloseRange = 10;//in brick units

	//Misc options
	hActivateDirection = 0; // 0 1 2, determines the direction you have to face the bot to activate him, both, front back
	hMoveSlowdown = 0; // bool, determines wether the bot will slow down when following enemies
	hAvoidObstacles = 1;
	hSuperStacker = 1;//When enabled makes the bots stack a bit better, in other words, jumping on each others heads to get to a player
	hSpazJump = 1;//Makes bot jump when the user their following is higher than them

	hAFKOmeter = 1;//Determines how often the bot will wander or do other idle actions, higher it is the less often he does things

	hIdle = 1;// Enables use of idle actions, actions which are done when the bot is not doing anything else
	  hIdleAnimation = 0;//Plays random animations/emotes, sit, click, love/hate/etc
	  hIdleLookAtOthers = 1;//Randomly looks at other players/bots when not doing anything else
	    hIdleSpam = 0;//Makes them spam click and spam hammer/spraycan
	  hSpasticLook = 1;//Makes them look around their environment a bit more.
	hEmote = 0;

//    useCustomPainEffects = true;
//		PainSound           = "";
//		DeathSound          = "";
};

function MASsecurityScarabWasp::OnnewDatablock(%this,%obj)
{
	%obj.hidenode("stinger");
	%obj.hidenode("Olaunchers");
//	%obj.hidenode("laser");
//	%obj.hidenode("laser_NOCOL");
//	%obj.hidenode("stnd");
}

function MASsecurityScarabWasp::OnAdd(%this,%obj)
{

	armor::onAdd(%this,%obj);

//	ZombieDefault::onAdd(%this,%obj);
//	schedule(15,0,nazify,%obj);
//	schedule(15,0,recolorASNbot,%obj);
//	%obj.name = "Security ScarabWasp";
	%obj.hidenode("stinger");
	%obj.hidenode("Olaunchers");
//	%obj.hidenode("stnd");
//	%obj.hidenode("laser");
//	%obj.hidenode("laser_NOCOL");
//	parent::OnnewDatablock(%this,%obj);
//	%obj.hidenode("Tail_Claw");
//	%obj.mountimage(gunimage,0);
	//%obj.mountimage(rocketlauncherimage,0);

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
}

