//Ambient Mini-Critters
//Author: Gothboy77 BLID 14329
//Date: 02/03/2016 @ 9:51 AM
//----------------------------
datablock TSShapeConstructor(GrassHopperDts)
{
	baseShape  = "Add-ons/Bot_MiniCritters/MESH/Grasshopper.dts";
	sequence0  = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq root";

	sequence1  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq run";
	sequence2  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq walk";
	sequence3  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq back";
	sequence4  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq side";

	sequence5  = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq crouch";
	sequence6  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq crouchRun";
	sequence7  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq crouchBack";
	sequence8  = "Add-ons/Bot_MiniCritters/MESH/g_run.dsq crouchSide";

	sequence9  = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq look";
	sequence10 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq headside";
	sequence11 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq headUp";

	sequence12 = "Add-ons/Bot_MiniCritters/MESH/g_jump.dsq jump";
	sequence13 = "Add-ons/Bot_MiniCritters/MESH/g_jump.dsq standjump";
	sequence14 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq fall";
	sequence15 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq land";

	sequence16 = "Add-ons/Bot_MiniCritters/MESH/g_activate.dsq armAttack";
	sequence17 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq armReadyLeft";
	sequence18 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq armReadyRight";
	sequence19 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq armReadyBoth";
	sequence20 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq spearready";  
	sequence21 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq spearThrow";

	sequence22 = "Add-ons/Bot_MiniCritters/MESH/g_activate.dsq talk";  

	sequence23 = "Add-ons/Bot_MiniCritters/MESH/g_death.dsq death1"; 
	
	sequence24 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftUp";
	sequence25 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftDown";
	sequence26 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftAway";
	sequence27 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftTo";
	sequence28 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftLeft";
	sequence29 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq shiftRight";
	sequence30 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq rotCW";
	sequence31 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq rotCCW";

	sequence32 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq undo";
	sequence33 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq plant";

	sequence34 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq sit";

	sequence35 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq wrench";

    sequence36 = "Add-ons/Bot_MiniCritters/MESH/g_activate.dsq activate";
    sequence37 = "Add-ons/Bot_MiniCritters/MESH/g_activate.dsq activate2";

    sequence38 = "Add-ons/Bot_MiniCritters/MESH/g_root.dsq leftrecoil";
};

datablock PlayerData(GrassHopperArmor : PlayerStandardArmor)
{
	//Data
	shapeFile = "Add-ons/Bot_MiniCritters/MESH/Grasshopper.dts";
	computeCRC = false;
	//Shape
	mass = 64;
	drag = 0.4; //0.9
	density = 0.2;
	maxDamage = 80;
	maxEnergy =  120;
	rechargeRate = 0.4;
    boundingBox			= vectorScale("0.4 0.4 0.4", 4);
	crouchBoundingBox	= vectorScale("0.4 0.4 0.2", 4);
	//Camera
	renderFirstPerson = false;
	cameraMaxDist = 4;
	cameraTilt = 0.24;//0.174 * 2.5; //~25 degrees
	cameraVerticalOffset = 0.8;
	cameraDefaultFov = 90.0;
	cameraMinFov = 80.0;
	cameraMaxFov = 120.0;
	minLookAngle = -1.5708;
	maxLookAngle = 1.5708;
	maxFreelookAngle = 2.0;
	//Control
    airControl = 1;
	aiAvoidThis = false;
	runforce = 80 * 80;
	runEnergyDrain = 0;
	minRunEnergy = 0;
	maxForwardSpeed = 4;
	maxBackwardSpeed = 0; //because they walk backwards too much!
	maxSideSpeed = 4;
	maxForwardCrouchSpeed = 4;
	maxBackwardCrouchSpeed = 4;
	maxSideCrouchSpeed = 4;
	maxForwardWalkSpeed = 4;
	maxBackwardWalkSpeed = 4;
	maxSideWalkSpeed = 4;
	maxUnderwaterForwardSpeed = 4;
	maxUnderwaterBackwardSpeed = 4;
	maxUnderwaterSideSpeed = 4;
	//Jumping
	canJump = true;
	jumpForce = 16 * 32;
	jumpDelay = 0.2;
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	jetEmitter = "";
	jetGroundEmitter = "";
	jetGroundDistance = 4;
	dustEmitter = GunSmokeEmitter;
	jumpSurfaceAngle = 64;
	JumpSound			= CritterClickSFX;
	horizMaxSpeed = 86;
	horizResistSpeed = 164;
	horizResistFactor = 0.2;
	upMaxSpeed = 116;
	upResistSpeed = 132;
	upResistFactor = 0.2;
	//Player
	uiName = "Grasshopper";
	rideable = false;
	canRide = true;
	lookUpLimit = 0.4;
	lookDownLimit = 0.2;
	numMountPoints = 0;
	useCustomPainEffects = true;
	deathSound    = CritterCrunchSFX;
	//Hole Attributes
	isHoleBot = 1;
	hSpawnTooClose = 0;//Doesn't spawn when player is too close and can see it
	hSpawnTCRange = 8;//above range, set in brick units
	hSpawnClose = 0;//Only spawn when close to a player, can be used with above function as long as hSCRange is higher than hSpawnTCRange
	hSpawnCRange = 32;//above range, set in brick units
	hType = Neutral; //Enemy,Friendly, Neutral
	hNeutralAttackChance = 40;
	hName = "Hop-Critter";//cannot contain spaces
	hTickRate = 4000;
	//Wander Options
	hWander = 1;//Enables random walking
	hSmoothWander = 1;//This is in addition to regular wander, makes them walk a bit longer, and a bit smoother
	hReturnToSpawn = 1;//Returns to spawn when too far
	hSpawnDist = 48;//Defines the distance bot can travel away from spawnbrick
	hGridWander = 0;//Locks the bot to a grid, overwrites other settings
	//Searching options
	hSearch = 1;//Search for Players
	hSearchRadius = 64;//in brick units
	hSight = 1;//Require bot to see player before pursuing
	hStrafe = 0;//Randomly strafe while following player
	hSearchFOV = 0;//if enabled disables normal hSearch
	hFOVRadius = 6;//max 10
	hHearing = 1;//If it hears a player it'll look in the direction of the sound
	hAlertOtherBots = 0;//Alerts other bots when he sees a player, or gets attacked
	//Attack Options
	hMelee = 1;//Melee
	hAttackDamage = 4;//Melee Damage
	hMeleeCI = "CritterBite";
	hShoot = 0;
	hWep = "";
	hShootTimes = 4;//Number of times the bot will shoot between each tick
	hMaxShootRange = 64;//The range in which the bot will shoot the player
	hAvoidCloseRange = 1;//
	hTooCloseRange = 4;//in brick units
	//Misc options
	hAvoidObstacles = 1;
	hSuperStacker = 0;//When enabled makes the bots stack a bit better, in other words, jumping on each others heads to get to a player
	hSpazJump = 1;//Makes bot jump when the user their following is higher than them
	hAFKOmeter = 1;//Determines how often the bot will wander or do other idle actions, higher it is the less often he does things
	hIdle = 1;// Enables use of idle actions, actions which are done when the bot is not doing anything else
	hIdleAnimation = 0;//Plays random animations/emotes, sit, click, love/hate/etc
	hIdleLookAtOthers = 1;//Randomly looks at other players/bots when not doing anything else
	hIdleSpam = 0;//Makes them spam click and spam hammer/spraycan
	hSpasticLook = 1;//Makes them look around their environment a bit more.
	hEmote = 1;
};
//Brick Hole Data
datablock fxDTSBrickData(GrassHopper_HoleSpawnData)
{
	brickFile = "Add-ons/Bot_Hole/4xspawn.blb";
	category = "Special";
	subCategory = "Hole-Critters";
	uiName = "Grasshopper Hole";
	iconName = "Add-Ons/Bot_MiniCritters/IMG/icon_Grasshopper";

	bricktype = 2;
	cancover = 0;
	orientationfix = 1;
	indestructable = 1;

	isBotHole = 1;
	holeBot = "GrassHopperArmor";
};
//Called when you spawn the bot
function GrassHopperArmor::onAdd(%this,%obj)
{
	armor::onAdd(%this,%obj);
	%color[%a++] = "0.08 0.80 0.10 1"; //Green-Green
	%color[%a++] = "0.10 0.80 0.40 1"; //Green-Blue

	%choice = getRandom(1,%a);
	%obj.setNodeColor("ALL",%color[%choice]);
	%obj.setNodeColor("eye","0.40 0.80 0.00 1");
	%obj.chestColor = %color[%choice];
	scheduleNoQuota(10,%obj,checkCritterType,%obj);
}
function grassHopperArmor::onTrigger(%this, %obj, %trig, %press)
{
	Parent::onTrigger(%this, %obj, %trig, %press);
	//Chirp if we are a cricket and we right-click
	if(%obj.isCricket && %trig == 4 && %press)
	{
		ServerPlay3D(CricketChirpSFX, %obj.getTransform());
	}
}
//Hide the hole brick - most people usually do this anyway
function GrassHopper_HoleSpawnData::onPlant( %this, %obj )
{
	%obj.setRendering(0);
	%obj.setColliding(0);
	%obj.setRaycasting(0);
}