//Ambient Mini-Critters
//Author: Gothboy77 BLID 14329
//Date: 02/03/2016 @ 9:51 AM
//--------Update Log--------//
//-  Version 2.0 Update
//Added Frogger and Bumble Bee
//-
//----------------------------
//Critter Bite Damage Type
AddDamageType("CritterBite",   '<bitmap:Add-Ons/Bot_MiniCritters/IMG/CI_Bite> %1',    '%2 <bitmap:Add-Ons/Bot_MiniCritters/IMG/CI_Bite> %1',0.4,1);
//Define SFX
datablock AudioProfile(BunnyHopSFX)
{
   filename    = "./SFX/Boing.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(CritterClickSFX)
{
   filename    = "./SFX/CritterClick.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(CritterCrunchSFX)
{
   filename    = "./SFX/CritterCrunch.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(CricketChirpSFX)
{
   filename    = "./SFX/CricketChirp.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(FlyBuzzSFX)
{
   filename    = "./SFX/FlyBuzz.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(FrogCrySFX)
{
   filename    = "./SFX/FrogCry.wav";
   description = AudioClose3d;
   preload = true;
};
//Support Function for more unique critters
function checkCritterType(%obj)
{
	if(isObject(%obj))
	{
		//Cricket
		if(%obj.getDatablock().uiName $= "Grasshopper" && %obj.name $= "Cricket")
		{
			%obj.setNodeColor("ALL","0.45 0.25 0.10 1");
			%obj.chestColor =  "0.45 0.25 0.10 1";
			%obj.setNodeColor("eye","0.1 0.1 0.1 1");
			%obj .name = "Cricket";
			%obj.isCricket = true; 
		}
		//Blue Crab
		if(%obj.getDatablock().uiName $= "Crabby" && %obj.name $= "Blue Crab")
		{
			%obj.setNodeColor("ALL","0.2 0.2 0.80 1");
			%obj.chestColor =  "0.2 0.2 0.80 1";
			%obj.setNodeColor("eye","0.1 0.1 0.1 1");
			%obj.hSearchRadius = 16;//in brick units
			%obj.hNeutralAttackChance = 80;
			%obj.hAttackDamage = 24;
			%obj.name = "Blue Crab";
		}
		//Toad
		if(%obj.getDatablock().uiName $= "Frogger" && %obj.name $= "Toad")
		{
			%obj.setNodeColor("ALL","0.20 0.44 0.10 1");
			%obj.chestColor =  "0.24 0.44 0.10 1";
			%obj.setNodeColor("mouth","0.24 0.44 0.10 1");
			%obj.hSearchRadius = 0;//in brick units
			%obj.hNeutralAttackChance = 0;
			%obj.hAttackDamage = 0;
			%obj.name = "Toad";
		}
		//Poisonous Frog
		if(%obj.getDatablock().uiName $= "Frogger" && %obj.name $= "Poisonous Frog")
		{
			%obj.setNodeColor("ALL","0.80 0.32 0.00 1");
			%obj.chestColor = "0.1 0.1 0.1 1";
			%obj.setNodeColor("legl","0.1 0.1 0.1 1");
			%obj.setNodeColor("legr","0.1 0.1 0.1 1");
			%obj.setNodeColor("mouth","0.1 0.1 0.1 1");
			%obj.setNodeColor("chest","0.1 0.1 0.1 1");
			%obj.hSearchRadius = 16;//in brick units
			%obj.hNeutralAttackChance = 40;
			%obj.hAttackDamage = 80;
			%obj.name = "Poisonous Frog";
		}
	}
}
//Init Scripts
exec("./CODE/Bot_Bunny.cs");
exec("./CODE/Bot_Crabby.cs");
exec("./CODE/Bot_Frogger.cs");
exec("./CODE/Bot_GrassHopper.cs");
exec("./CODE/Bot_PooFly.cs");
exec("./CODE/Bot_Wormy.cs");
